#!/bin/bash
#SBATCH --partition=slim16 		# (queue, see sinfo) 
#SBATCH --ntasks=16			# number of threads
#SBATCH --mem 128G 				#memory pool for all cores 
#SBATCH -o slurm.%u.%j.out 		#STDOUT 
#SBATCH -e slurm.%u.%j.err 		#STDERR

#source /work/project/ladsie_003/python_venv/bin/activate # --> Do i need this?

# Generate a variable containing all the vcf files to merge, space-separated
VCF_REGION_FILES_NAMES=$(ls ${FREEBAYES_VCF_BY_REGION_FOLDER} | grep "${BAM_GREP}" | grep "region.vcf" | sed "s#^var_#${FREEBAYES_VCF_BY_REGION_FOLDER}/var_#g"  | tr "\n" " ")

## Merge VCF files of the regions following freebayes-parallel command with some modifications: I adapted vcffirstheader script to use with python3 , and ran vcfstreamsort with "-a" option to have everything sorted to be able to use the file after in a genome browser
#
cat ${VCF_REGION_FILES_NAMES} \
	| ${SCRIPTS_FOLDER}/vcffirstheader3 \
	| ${VCFSTREAMSORT} -a \
	| ${VCFUNIQUE} \
	> ${MERGED_VCF}


