#!/bin/bash
#SBATCH --partition=slim18 		# (queue, see sinfo) 
#SBATCH --ntasks=16			# number of threads
#SBATCH --mem 128G 				#memory pool for all cores 
#SBATCH -o slurm.%u.%j.out 		#STDOUT 
#SBATCH -e slurm.%u.%j.err 		#STDERR



paste \
	$BED_FOLDER/$(ls ${BED_FOLDER} | grep '_density_mapq10.txt$' | grep -v 'var_density' | grep ${SAMPLE}) \
	$BED_FOLDER/$(ls ${BED_FOLDER} | grep '_density.txt$' | grep -v 'var_density' | grep ${SAMPLE})  \
	| awk '{if ($8 + 0 !=0) print $1 "\t" $2 "\t" $3 "\t" $4/$8; else print $1 "\t" $2 "\t" $3 "\t" 0}' \
	> ${BED_FOLDER}/${OUT_PREFIX}_mappability.txt

